uk.gov.hmrc.ct

# CATO14

###
Related Docs: class CATO14 | package ct

#### object CATO14 extends Calculated[CATO14, ComputationsBoxRetriever] with ExpensesCalculator with Serializable

Linear Supertypes
Serializable, Serializable, ExpensesCalculator, CtTypeConverters, Calculated[CATO14, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CATO14
2. Serializable
3. Serializable
4. ExpensesCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: ComputationsBoxRetriever): CATO14

   Definition Classes
     CATO14 → Calculated

6. #### def calculateDirectorsExpenses(cp15: CP15, cp16: CP16, cp17: CP17, cp18: CP18, cp19: CP19, cp20: CP20, cp21: CP21): CATO14

   Definition Classes
     ExpensesCalculator

7. #### def calculateGeneralAdministrativeExpenses(cp25: CP25, cp26: CP26, cp27: CP27, cp28: CP28, cp29: CP29, cp30: CP30, cp31: CP31, cp32: CP32, cp33: CP33, cp34: CP34, cp35: CP35, cp36: CP36, cp37: CP37): CATO16

   Definition Classes
     ExpensesCalculator

8. #### def calculatePropertyExpenses(cp22: CP22, cp23: CP23, cp24: CP24): CATO15

   Definition Classes
     ExpensesCalculator

9. #### def calculateTotalExpenses(cato14: CATO14, cato15: CATO15, cato16: CATO16): CP38

   Definition Classes
     ExpensesCalculator

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

12. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

13. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

14. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

15. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ExpensesCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CATO14, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped